
Foreman - Bug #1926

Foreman fails when click in "import new puppet classes and environments"

11/05/2012 07:36 AM - francisco j valero

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Importers   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

can't convert ActiveRecord::Errors into Array

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to

attach the Full trace and relevant log entries.

TypeError

can't convert ActiveRecord::Errors into Array

/usr/share/foreman/app/models/environment.rb:126:in `+'

/usr/share/foreman/app/models/environment.rb:126:in `obsolete_and_new'

/usr/share/foreman/app/models/environment.rb:123:in `each'

/usr/share/foreman/app/models/environment.rb:123:in `obsolete_and_new'

/usr/share/foreman/app/models/environment.rb:114:in `each'

/usr/share/foreman/app/models/environment.rb:114:in `obsolete_and_new'

/usr/share/foreman/lib/foreman/controller/environments.rb:19:in `obsolete_and_new'

My class works fine whitout ENC

History

#1 - 11/05/2012 07:37 AM - Ohad Levy

- Category set to Importers

- Assignee set to Amos Benari

- Priority changed from Urgent to Normal

- Target version set to 1.1

#2 - 11/13/2012 12:15 PM - Greg Sutcliffe

- Target version changed from 1.1 to Bug scrub

#3 - 11/15/2012 03:23 AM - Amos Benari

- Status changed from New to Closed

This bug is in the old code of of import.

Trace show error in line 126, we now have 55 lines in the Environment class.
